Managed Instance Tde Certificates - Create
Belirli bir sunucu için bir TDE sertifikası oluşturur.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/tdeCertificates?api-version=2025-01-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
managed
|
path | True |
string |
Yönetilen örneğin adı. |
|
resource
|
path | True |
string |
Kaynağı içeren kaynak grubunun adı. Bu değeri Azure Resource Manager API'sinden veya portaldan alabilirsiniz. |
|
subscription
|
path | True |
string |
Azure aboneliğini tanımlayan abonelik kimliği. |
|
api-version
|
query | True |
string |
İstek için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| properties.privateBlob | True |
string |
base64 kodlanmış sertifika özel blobu. |
| properties.certPassword |
string |
Sertifika parolası. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
TDE sertifikası başarıyla oluşturuldu. |
|
| 202 Accepted |
Kabul edildi Üst Bilgiler Location: string |
|
| Other Status Codes |
Hata Yanıtları: ***
|
Örnekler
Upload a TDE certificate
Örnek isteği
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000001/resourceGroups/testtdecert/providers/Microsoft.Sql/managedInstances/testtdecert/tdeCertificates?api-version=2025-01-01
{
"properties": {
"privateBlob": "MIIXXXXXXXX"
}
}
Örnek yanıt
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000001/providers/Microsoft.Sql/locations/westus/managedInstanceTdeCertificateOperationResults/00000000-0000-0000-0000-000000000001?api-version=2017-10-01-preview
Tanımlar
| Name | Description |
|---|---|
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Tde |
Sunucuya yüklenebilen bir TDE sertifikası. |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
TdeCertificate
Sunucuya yüklenebilen bir TDE sertifikası.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Kaynak Kimliği. |
| name |
string |
Kaynak adı. |
| properties.certPassword |
string |
Sertifika parolası. |
| properties.privateBlob |
string |
base64 kodlanmış sertifika özel blobu. |
| type |
string |
Kaynak türü. |